#pragma once

enum LA_HWMODE
{
	HW_4G_36CH   =  0,	 
	HW_4G_18CH   =  1,	 
	HW_4G_9CH    =  2,	 
	HW_4G_4CH    =  3,	 
	HW_2G_36CH   = 100,
	HW_1600M_4CH = 200,
	HW_800M_9CH  = 300,
	HW_400M_18CH = 400,
	HW_200M_36CH = 500,
	HW_200M_18CH = 501,
	HW_200M_12CH = 502,
	HW_200M_9CH  = 503,
	HW_200M_6CH  = 504,
	HW_200M_4CH  = 505,
	HW_200M_2CH  = 506,
	HW_200M_1CH  = 507,
	HW_EXT_35CH  = 600,
	HW_EXT_18CH  = 601,
	HW_EXT_12CH  = 602,
	HW_EXT_9CH   = 603,
	HW_EXT_6CH   = 604,
	HW_EXT_4CH   = 605,
	HW_EXT_2CH   = 606,
	HW_EXT_1CH   = 607
};

enum HWINFO_INDEX
{
  SET_MEM_SIZE_IN_BYTE = 2,
  SET_TL_MODE = 5,
  SET_TL_QUALIFICATION = 7,
  SET_TL_GLITCH_FILTER = 8,
  SET_TL_CH_MASK = 9,
};
#define TL_MAX_CH_SIZE	26


typedef struct _SDKTRIG
{
    int         iFlag;          // wqĲo󪺺X
    int         iDelay;         // Ĳo:Ĳo(쬰Clocks)
    int         iWidth;         // Ĳo:iμeװ(쬰Clocks)
    int         iPassCount;     // Ĳo󪺩
    int         iFreq;          // LAثeu@Wv
	int			iFreqHi;		// iFreqHiMiFreqզX@64Bits
	int			iExtClk;		// ϥΥ~ɯ(1:ϥΤ)
	int			iTrPos;			// ĲoI
    int         lpiCont[16];       // ĲoC@hO_sA׬ iLvl (:int)
    BYTE        lpbTrigData[1024];   // ĲoơA׬ iCh*iLvl (:byte)
} SDK_TRIG, FAR *LPSDK_TRIG;

BOOL ulaSDKInit();
int ulaSDKGetLaID();
BOOL ulaSDKClose();
BOOL ulaSDKThreshold( int iPod, int iMiniVolt );
int ulaSDKGetHwInfo( UINT nIndex );
BOOL ulaSDKSetChTrigger(LPVOID lpSDKtr, int iLevel, int iCh, int iTrig, int iCondLogic);
BOOL ulaSDKClearTrigger(LPVOID lpSDKtr);
BOOL ulaSDKCapture( LPVOID lpSDKtr);
BOOL ulaSDKSetHwInfo( int iIndex, LPVOID lpv);
BOOL ulaSDKSetSamplesNum(int iSize);
int ulaSDKGetSamplesNum();
int  ulaSDKGetMaxSamplesNum();
BOOL ulaSDKIsCaptureReady();
BOOL ulaSDKStopCapture();
BOOL ulaSDKGetBusData(int iMSB, int iLSB, UINT* pUserData, int* lpiSize, int iStartSamplePos);
BOOL ulaSDKGetChData(int iCh,UINT* pUserData, int* lpiSize, int iStartSamplePos);
//BOOL ulaSDKSaveTriggerByFile(LPSDK_TRIG lptr, char* szFileName);
//BOOL ulaSDKReadTriggerByFile(LPSDK_TRIG lptr, char* szFileName);
//BOOL ulaSDKSetHWByPrj(char* szFileName, LPSDK_TRIG lptr, int iUserMaxMemSize);
BOOL ulaSDKSaveAsLawFile(char* szFilePathName);
int ulaSDKGetLastError();
BOOL ulaSDKGetSerialNumber(char *szSerialNum, int iSize);
int ulaSDKGetBufferSizeInBytes();
BOOL ulaSDKSelectDevice(char* szSerialNo);
int ulaSDKSelectDeviceIdx(int iDeviceIndex);
BOOL ulaSDKSetExtTrigger(bool bUseExtTrig);
BOOL ulaSDKSetTrigDelayByTime(__int64 i64DelayTime_ns);